<div id="model-group" class="modal fade" role="dialog">
    <div class="modal-dialog">


        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <center><h4 class="modal-title">GROUPE DU STAGE </h4></center>

                <div class="alert alert-block alert-success message_flash_success" style="display: none;"></div>
                <div class="alert alert-block alert-danger message_flash_error" style="display: none;"></div>
                <div class="alert alert-block alert-info message_flash_info" style="display: none;">

                </div>


            </div> 
            <form id="group" action="{{ path('etu_group') }}">
                <div class="modal-body"> 

                    <div class="row">
                        <input type="hidden" name="annee" value="{{anne}}">
                         <input type="hidden" name="promotion" value="{{promotion}}">
                        {% for ins in inscription %}
                            <input type="hidden" name="etudient[]" value="{{ins.id}}">
                        {%endfor%}

                        <div class="col-xs-2"><label> Groupe : </label></div>
                        <div class="col-xs-8">      
                            <select name="gr_etu" class=" form-control "  data-column ='1'>
                                {% for gr in groups %}
                                    <option value="{{gr.id}}">{{gr.observation}}</option>
                                {%endfor%}
                            </select></div>

                    </div>


                </div>
                <div class="modal-footer">
                    <button type="Submit" class="bs btn btn-success" >Ajouter</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                </div>
            </form>
        </div> </div> </div>

<script>
    /*  $('.bs').click(function (e) {
     //alert('rr');
     var i = 0;
     var c= $( "#group option:selected" ).val();
     var arr = [];
     $('.ads_Checkbox:checked').each(function(){
     arr[i++] = $(this).val();
     });
     arr[i++] =$( "#group option:selected" ).val();
     $.each({ arr}, function( k, v ) {
     alert( "Key: " + k + ", Value: " + v +"select : "+c );
     })
     
     
     
     
     $.ajax({
     type: 'GET',
     url: Routing.generate('etu_group',{table:arr}), 
     //data: arr,
     success: function (result) {
     $('.message_flash_success').html(result);
     
     }
     });
     
     // alert(arr);
     
     
     
     
     //e.preventDefault();
     });*/



    $('#group').submit(function (e) {

        //  alert('hello');

        var dta = new FormData(this);
        $(".message_flash_success1").hide();
        $(".message_flash_success2").hide();
        $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
        //alert(dta);
        if (dta) {
            $.ajax({
                type: 'POST',
                url: "{{ path('etu_group') }}",
                data: dta,
                processData: false,
                contentType: false,
                success: function (result) {
                    var parsed = jQuery.parseJSON(result);
                     $(".message_flash_error").hide();
                     $(".message_flash_info").hide();
                    $(".message_flash_success").show().html("<i class='ace-icon fa fa-check'></i> "+parsed.data);
                    setTimeout(function () {
                        $('.message_flash_success').fadeOut();
                        location.reload();
                    }, 2000);
                }
            });
        }

        e.preventDefault();

    });


</script>
